
QGIS Application - Bug report #2772

gpx files show only points not lines

2010-06-01 06:27 PM - ScottParker -

Status: Closed

Priority: Low

Assignee: gjm -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12832

Description

gpx files show only points not lines

History

#1 - 2010-06-02 02:41 AM - Giovanni Manghi

works for me Under Ubuntu with commit:1c89558c (SVN r13570). The attached gpx file has 5 waypoints 1 tracks, 0 routes.

Using the "add vector" dialog instead of the "load gpx file" of gps tools I can also add the 1274 track points.

Please give it a try on another pc/qgis installation.

#2 - 2010-06-02 05:47 PM - ScottParker -

- Status changed from Open to Closed

- Resolution set to invalid

I was using "add vector" not GPS tools.  I hadn't enabled the GPS plug-in.

When I use "add vector" it doesn't load the track points.  I can see the track points by opening editing.  I'll need to learn more about how to use the editor.

Thanks for the prompt response.  Sorry for the false bug.

Scott

#3 - 2010-06-03 01:09 AM - Giovanni Manghi

strange anyway... for me works also the "add vector" dialog.

#4 - 2010-07-06 04:33 PM - John Tull

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

Replying to ScottParker:
gpx files show only points not lines

Adding a gpx file via drag and drop also only shows points. Why does this behave so differently than the add vector dialog? This inconsistency is very

confusing. I suggest this issue be reviewed and addressed so dragging and dropping a gpx file into the canvas legend brings up the dialog to select which

gpx features the user wants to import. I am on OS X, so maybe this is not valid for other platforms...?

#5 - 2010-07-19 11:24 AM - gjm -

- Status changed from Feedback to Open

#6 - 2010-07-19 12:12 PM - gjm -

- Status changed from Open to Closed

- Resolution set to fixed

The problem with drops of gpx files not showing the 'select a sublayer' box has been fixed in commit:e0afaaa1 (SVN r13940).

The cause was that drops were being treated the same a passing the filename in on the command line, which wasn't setup to ask the user for input.

#7 - 2010-09-23 03:46 PM - ScottParker -

I have verified that #2772 is fixed in version 14026.  Thanks for fixing it and sorry for the delay in verifying.  I'm just now getting around to loading the latest

version after getting some other work done.

Scott

Files

49_Palms.gpx 129 KB 2010-06-01 ScottParker -
